/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf) - dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf)) => dmat2(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)
 * (dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf) - dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf)) => dmat2(np.float64(1.73)lf, np.float64(2.9299999999999997)lf, np.float64(1.63)lf, np.float64(-2.4)lf)
 * (dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf) - dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf)) => dmat2(np.float64(-1.73)lf, np.float64(-2.9299999999999997)lf, np.float64(-1.63)lf, np.float64(2.4)lf)
 * (dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf) - dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf)) => dmat2(np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf, np.float64(0.0)lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[(distance((dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf) - dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf))[0], dvec2(np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf) - dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf))[0], dvec2(np.float64(0.0)lf, np.float64(0.0)lf))) + (distance((dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf) - dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf))[1], dvec2(np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf) - dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf))[1], dvec2(np.float64(0.0)lf, np.float64(0.0)lf))) <= np.float64(0.0)lf ? 1 : -1] array0;
  double[(distance((dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf) - dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf))[0], dvec2(np.float64(1.73)lf, np.float64(2.9299999999999997)lf)) * distance((dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf) - dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf))[0], dvec2(np.float64(1.73)lf, np.float64(2.9299999999999997)lf))) + (distance((dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf) - dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf))[1], dvec2(np.float64(1.63)lf, np.float64(-2.4)lf)) * distance((dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf) - dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf))[1], dvec2(np.float64(1.63)lf, np.float64(-2.4)lf))) <= np.float64(1.99947e-09)lf ? 1 : -1] array1;
  double[(distance((dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf) - dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf))[0], dvec2(np.float64(-1.73)lf, np.float64(-2.9299999999999997)lf)) * distance((dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf) - dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf))[0], dvec2(np.float64(-1.73)lf, np.float64(-2.9299999999999997)lf))) + (distance((dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf) - dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf))[1], dvec2(np.float64(-1.63)lf, np.float64(2.4)lf)) * distance((dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf) - dmat2(np.float64(1.6)lf, np.float64(1.53)lf, np.float64(0.76)lf, np.float64(-1.0)lf))[1], dvec2(np.float64(-1.63)lf, np.float64(2.4)lf))) <= np.float64(1.99947e-09)lf ? 1 : -1] array2;
  double[(distance((dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf) - dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf))[0], dvec2(np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf) - dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf))[0], dvec2(np.float64(0.0)lf, np.float64(0.0)lf))) + (distance((dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf) - dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf))[1], dvec2(np.float64(0.0)lf, np.float64(0.0)lf)) * distance((dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf) - dmat2(np.float64(-0.13)lf, np.float64(-1.4)lf, np.float64(-0.87)lf, np.float64(1.4)lf))[1], dvec2(np.float64(0.0)lf, np.float64(0.0)lf))) <= np.float64(0.0)lf ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
