/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * exp2(vec2(np.float32(-2.0), np.float32(-0.6666667))) => vec2(np.float32(0.25), np.float32(0.62996054))
 * exp2(vec2(np.float32(0.6666667), np.float32(2.0))) => vec2(np.float32(1.587401), np.float32(4.0))
 */
#version 120

void main()
{
  float[distance(exp2(vec2(np.float32(-2.0), np.float32(-0.6666667))), vec2(np.float32(0.25), np.float32(0.62996054))) <= np.float32(6.777538e-06) ? 1 : -1] array0;
  float[distance(exp2(vec2(np.float32(0.6666667), np.float32(2.0))), vec2(np.float32(1.587401), np.float32(4.0))) <= np.float32(4.3034684e-05) ? 1 : -1] array1;
  gl_FragColor = vec4(array0.length() + array1.length());
}
