/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * cos(vec2(np.float32(-3.1415927), np.float32(-1.0471976))) => vec2(np.float32(-1.0), np.float32(0.49999997))
 * cos(vec2(np.float32(1.0471976), np.float32(3.1415927))) => vec2(np.float32(0.49999997), np.float32(-1.0))
 */
#version 150

void main()
{
  float[distance(cos(vec2(np.float32(-3.1415927), np.float32(-1.0471976))), vec2(np.float32(-1.0), np.float32(0.49999997))) <= np.float32(0.001118034) ? 1 : -1] array0;
  float[distance(cos(vec2(np.float32(1.0471976), np.float32(3.1415927))), vec2(np.float32(0.49999997), np.float32(-1.0))) <= np.float32(0.001118034) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
