/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * abs(np.int64(-10)l) => np.int64(10)l
 * abs(np.int64(-9)l) => np.int64(9)l
 * abs(np.int64(-9)l) => np.int64(9)l
 * abs(np.int64(-8)l) => np.int64(8)l
 * abs(np.int64(-8)l) => np.int64(8)l
 * abs(np.int64(-7)l) => np.int64(7)l
 * abs(np.int64(-7)l) => np.int64(7)l
 * abs(np.int64(-6)l) => np.int64(6)l
 * abs(np.int64(-6)l) => np.int64(6)l
 * abs(np.int64(-5)l) => np.int64(5)l
 * abs(np.int64(-5)l) => np.int64(5)l
 * abs(np.int64(-4)l) => np.int64(4)l
 * abs(np.int64(-4)l) => np.int64(4)l
 * abs(np.int64(-3)l) => np.int64(3)l
 * abs(np.int64(-3)l) => np.int64(3)l
 * abs(np.int64(-2)l) => np.int64(2)l
 * abs(np.int64(-2)l) => np.int64(2)l
 * abs(np.int64(-1)l) => np.int64(1)l
 * abs(np.int64(-1)l) => np.int64(1)l
 * abs(np.int64(-1)l) => np.int64(1)l
 * abs(np.int64(0)l) => np.int64(0)l
 * abs(np.int64(0)l) => np.int64(0)l
 * abs(np.int64(0)l) => np.int64(0)l
 * abs(np.int64(0)l) => np.int64(0)l
 * abs(np.int64(1)l) => np.int64(1)l
 * abs(np.int64(1)l) => np.int64(1)l
 * abs(np.int64(2)l) => np.int64(2)l
 * abs(np.int64(2)l) => np.int64(2)l
 * abs(np.int64(3)l) => np.int64(3)l
 * abs(np.int64(3)l) => np.int64(3)l
 * abs(np.int64(4)l) => np.int64(4)l
 * abs(np.int64(4)l) => np.int64(4)l
 * abs(np.int64(5)l) => np.int64(5)l
 * abs(np.int64(5)l) => np.int64(5)l
 * abs(np.int64(6)l) => np.int64(6)l
 * abs(np.int64(6)l) => np.int64(6)l
 * abs(np.int64(6)l) => np.int64(6)l
 * abs(np.int64(7)l) => np.int64(7)l
 * abs(np.int64(7)l) => np.int64(7)l
 * abs(np.int64(8)l) => np.int64(8)l
 * abs(np.int64(8)l) => np.int64(8)l
 * abs(np.int64(9)l) => np.int64(9)l
 * abs(np.int64(9)l) => np.int64(9)l
 * abs(np.int64(10)l) => np.int64(10)l
 * abs(np.int64(10)l) => np.int64(10)l
 * abs(np.int64(11)l) => np.int64(11)l
 * abs(np.int64(11)l) => np.int64(11)l
 * abs(np.int64(12)l) => np.int64(12)l
 * abs(np.int64(12)l) => np.int64(12)l
 * abs(np.int64(13)l) => np.int64(13)l
 * abs(np.int64(13)l) => np.int64(13)l
 * abs(np.int64(14)l) => np.int64(14)l
 * abs(np.int64(14)l) => np.int64(14)l
 * abs(np.int64(15)l) => np.int64(15)l
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[abs(np.int64(-10)l) == np.int64(10)l ? 1 : -1] array0;
  float[abs(np.int64(-9)l) == np.int64(9)l ? 1 : -1] array1;
  float[abs(np.int64(-9)l) == np.int64(9)l ? 1 : -1] array2;
  float[abs(np.int64(-8)l) == np.int64(8)l ? 1 : -1] array3;
  float[abs(np.int64(-8)l) == np.int64(8)l ? 1 : -1] array4;
  float[abs(np.int64(-7)l) == np.int64(7)l ? 1 : -1] array5;
  float[abs(np.int64(-7)l) == np.int64(7)l ? 1 : -1] array6;
  float[abs(np.int64(-6)l) == np.int64(6)l ? 1 : -1] array7;
  float[abs(np.int64(-6)l) == np.int64(6)l ? 1 : -1] array8;
  float[abs(np.int64(-5)l) == np.int64(5)l ? 1 : -1] array9;
  float[abs(np.int64(-5)l) == np.int64(5)l ? 1 : -1] array10;
  float[abs(np.int64(-4)l) == np.int64(4)l ? 1 : -1] array11;
  float[abs(np.int64(-4)l) == np.int64(4)l ? 1 : -1] array12;
  float[abs(np.int64(-3)l) == np.int64(3)l ? 1 : -1] array13;
  float[abs(np.int64(-3)l) == np.int64(3)l ? 1 : -1] array14;
  float[abs(np.int64(-2)l) == np.int64(2)l ? 1 : -1] array15;
  float[abs(np.int64(-2)l) == np.int64(2)l ? 1 : -1] array16;
  float[abs(np.int64(-1)l) == np.int64(1)l ? 1 : -1] array17;
  float[abs(np.int64(-1)l) == np.int64(1)l ? 1 : -1] array18;
  float[abs(np.int64(-1)l) == np.int64(1)l ? 1 : -1] array19;
  float[abs(np.int64(0)l) == np.int64(0)l ? 1 : -1] array20;
  float[abs(np.int64(0)l) == np.int64(0)l ? 1 : -1] array21;
  float[abs(np.int64(0)l) == np.int64(0)l ? 1 : -1] array22;
  float[abs(np.int64(0)l) == np.int64(0)l ? 1 : -1] array23;
  float[abs(np.int64(1)l) == np.int64(1)l ? 1 : -1] array24;
  float[abs(np.int64(1)l) == np.int64(1)l ? 1 : -1] array25;
  float[abs(np.int64(2)l) == np.int64(2)l ? 1 : -1] array26;
  float[abs(np.int64(2)l) == np.int64(2)l ? 1 : -1] array27;
  float[abs(np.int64(3)l) == np.int64(3)l ? 1 : -1] array28;
  float[abs(np.int64(3)l) == np.int64(3)l ? 1 : -1] array29;
  float[abs(np.int64(4)l) == np.int64(4)l ? 1 : -1] array30;
  float[abs(np.int64(4)l) == np.int64(4)l ? 1 : -1] array31;
  float[abs(np.int64(5)l) == np.int64(5)l ? 1 : -1] array32;
  float[abs(np.int64(5)l) == np.int64(5)l ? 1 : -1] array33;
  float[abs(np.int64(6)l) == np.int64(6)l ? 1 : -1] array34;
  float[abs(np.int64(6)l) == np.int64(6)l ? 1 : -1] array35;
  float[abs(np.int64(6)l) == np.int64(6)l ? 1 : -1] array36;
  float[abs(np.int64(7)l) == np.int64(7)l ? 1 : -1] array37;
  float[abs(np.int64(7)l) == np.int64(7)l ? 1 : -1] array38;
  float[abs(np.int64(8)l) == np.int64(8)l ? 1 : -1] array39;
  float[abs(np.int64(8)l) == np.int64(8)l ? 1 : -1] array40;
  float[abs(np.int64(9)l) == np.int64(9)l ? 1 : -1] array41;
  float[abs(np.int64(9)l) == np.int64(9)l ? 1 : -1] array42;
  float[abs(np.int64(10)l) == np.int64(10)l ? 1 : -1] array43;
  float[abs(np.int64(10)l) == np.int64(10)l ? 1 : -1] array44;
  float[abs(np.int64(11)l) == np.int64(11)l ? 1 : -1] array45;
  float[abs(np.int64(11)l) == np.int64(11)l ? 1 : -1] array46;
  float[abs(np.int64(12)l) == np.int64(12)l ? 1 : -1] array47;
  float[abs(np.int64(12)l) == np.int64(12)l ? 1 : -1] array48;
  float[abs(np.int64(13)l) == np.int64(13)l ? 1 : -1] array49;
  float[abs(np.int64(13)l) == np.int64(13)l ? 1 : -1] array50;
  float[abs(np.int64(14)l) == np.int64(14)l ? 1 : -1] array51;
  float[abs(np.int64(14)l) == np.int64(14)l ? 1 : -1] array52;
  float[abs(np.int64(15)l) == np.int64(15)l ? 1 : -1] array53;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length() + array20.length() + array21.length() + array22.length() + array23.length() + array24.length() + array25.length() + array26.length() + array27.length() + array28.length() + array29.length() + array30.length() + array31.length() + array32.length() + array33.length() + array34.length() + array35.length() + array36.length() + array37.length() + array38.length() + array39.length() + array40.length() + array41.length() + array42.length() + array43.length() + array44.length() + array45.length() + array46.length() + array47.length() + array48.length() + array49.length() + array50.length() + array51.length() + array52.length() + array53.length());
}
