/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * degrees(vec4(np.float32(-3.1415927), np.float32(-1.0471976), np.float32(1.0471976), np.float32(3.1415927))) => vec4(np.float32(-180.0), np.float32(-60.0), np.float32(60.0), np.float32(180.0))
 */
#version 150

void main()
{
  float[distance(degrees(vec4(np.float32(-3.1415927), np.float32(-1.0471976), np.float32(1.0471976), np.float32(3.1415927))), vec4(np.float32(-180.0), np.float32(-60.0), np.float32(60.0), np.float32(180.0))) <= np.float32(0.0026832817) ? 1 : -1] array0;
  gl_Position = vec4(array0.length());
}
