/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * exp2(vec4(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667), np.float32(2.0))) => vec4(np.float32(0.25), np.float32(0.62996054), np.float32(1.587401), np.float32(4.0))
 */
#version 120

void main()
{
  float[distance(exp2(vec4(np.float32(-2.0), np.float32(-0.6666667), np.float32(0.6666667), np.float32(2.0))), vec4(np.float32(0.25), np.float32(0.62996054), np.float32(1.587401), np.float32(4.0))) <= np.float32(4.3565113e-05) ? 1 : -1] array0;
  gl_Position = vec4(array0.length());
}
