/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * determinant(mat4(np.float32(-1.0), np.float32(1.77), np.float32(0.09), np.float32(-0.91), np.float32(-0.55), np.float32(0.62), np.float32(-0.71), np.float32(-1.82), np.float32(-1.08), np.float32(0.48), np.float32(-1.39), np.float32(-1.43), np.float32(1.79), np.float32(-1.35), np.float32(-1.21), np.float32(0.72))) => np.float32(4.2557144)
 * determinant(mat4(np.float32(0.06), np.float32(1.6), np.float32(1.25), np.float32(-0.16), np.float32(1.31), np.float32(-0.32), np.float32(0.45), np.float32(0.45), np.float32(1.52), np.float32(0.51), np.float32(1.9), np.float32(-0.88), np.float32(-1.96), np.float32(-1.84), np.float32(-0.72), np.float32(0.39))) => np.float32(-5.941131)
 */
#version 150

void main()
{
  float[distance(determinant(mat4(np.float32(-1.0), np.float32(1.77), np.float32(0.09), np.float32(-0.91), np.float32(-0.55), np.float32(0.62), np.float32(-0.71), np.float32(-1.82), np.float32(-1.08), np.float32(0.48), np.float32(-1.39), np.float32(-1.43), np.float32(1.79), np.float32(-1.35), np.float32(-1.21), np.float32(0.72))), np.float32(4.2557144)) <= np.float32(4.2557145e-05) ? 1 : -1] array0;
  float[distance(determinant(mat4(np.float32(0.06), np.float32(1.6), np.float32(1.25), np.float32(-0.16), np.float32(1.31), np.float32(-0.32), np.float32(0.45), np.float32(0.45), np.float32(1.52), np.float32(0.51), np.float32(1.9), np.float32(-0.88), np.float32(-1.96), np.float32(-1.84), np.float32(-0.72), np.float32(0.39))), np.float32(-5.941131)) <= np.float32(5.941131e-05) ? 1 : -1] array1;
  gl_FragColor = vec4(array0.length() + array1.length());
}
