/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * transpose(mat4(np.float32(-1.0), np.float32(1.77), np.float32(0.09), np.float32(-0.91), np.float32(-0.55), np.float32(0.62), np.float32(-0.71), np.float32(-1.82), np.float32(-1.08), np.float32(0.48), np.float32(-1.39), np.float32(-1.43), np.float32(1.79), np.float32(-1.35), np.float32(-1.21), np.float32(0.72))) => mat4(np.float32(-1.0), np.float32(-0.55), np.float32(-1.08), np.float32(1.79), np.float32(1.77), np.float32(0.62), np.float32(0.48), np.float32(-1.35), np.float32(0.09), np.float32(-0.71), np.float32(-1.39), np.float32(-1.21), np.float32(-0.91), np.float32(-1.82), np.float32(-1.43), np.float32(0.72))
 * transpose(mat4(np.float32(0.06), np.float32(1.6), np.float32(1.25), np.float32(-0.16), np.float32(1.31), np.float32(-0.32), np.float32(0.45), np.float32(0.45), np.float32(1.52), np.float32(0.51), np.float32(1.9), np.float32(-0.88), np.float32(-1.96), np.float32(-1.84), np.float32(-0.72), np.float32(0.39))) => mat4(np.float32(0.06), np.float32(1.31), np.float32(1.52), np.float32(-1.96), np.float32(1.6), np.float32(-0.32), np.float32(0.51), np.float32(-1.84), np.float32(1.25), np.float32(0.45), np.float32(1.9), np.float32(-0.72), np.float32(-0.16), np.float32(0.45), np.float32(-0.88), np.float32(0.39))
 */
#version 120

void main()
{
  float[pow(distance(transpose(mat4(np.float32(-1.0), np.float32(1.77), np.float32(0.09), np.float32(-0.91), np.float32(-0.55), np.float32(0.62), np.float32(-0.71), np.float32(-1.82), np.float32(-1.08), np.float32(0.48), np.float32(-1.39), np.float32(-1.43), np.float32(1.79), np.float32(-1.35), np.float32(-1.21), np.float32(0.72)))[0], vec4(np.float32(-1.0), np.float32(-0.55), np.float32(-1.08), np.float32(1.79))), 2) + pow(distance(transpose(mat4(np.float32(-1.0), np.float32(1.77), np.float32(0.09), np.float32(-0.91), np.float32(-0.55), np.float32(0.62), np.float32(-0.71), np.float32(-1.82), np.float32(-1.08), np.float32(0.48), np.float32(-1.39), np.float32(-1.43), np.float32(1.79), np.float32(-1.35), np.float32(-1.21), np.float32(0.72)))[1], vec4(np.float32(1.77), np.float32(0.62), np.float32(0.48), np.float32(-1.35))), 2) + pow(distance(transpose(mat4(np.float32(-1.0), np.float32(1.77), np.float32(0.09), np.float32(-0.91), np.float32(-0.55), np.float32(0.62), np.float32(-0.71), np.float32(-1.82), np.float32(-1.08), np.float32(0.48), np.float32(-1.39), np.float32(-1.43), np.float32(1.79), np.float32(-1.35), np.float32(-1.21), np.float32(0.72)))[2], vec4(np.float32(0.09), np.float32(-0.71), np.float32(-1.39), np.float32(-1.21))), 2) + pow(distance(transpose(mat4(np.float32(-1.0), np.float32(1.77), np.float32(0.09), np.float32(-0.91), np.float32(-0.55), np.float32(0.62), np.float32(-0.71), np.float32(-1.82), np.float32(-1.08), np.float32(0.48), np.float32(-1.39), np.float32(-1.43), np.float32(1.79), np.float32(-1.35), np.float32(-1.21), np.float32(0.72)))[3], vec4(np.float32(-0.91), np.float32(-1.82), np.float32(-1.43), np.float32(0.72))), 2) <= np.float32(2.18554e-09) ? 1 : -1] array0;
  float[pow(distance(transpose(mat4(np.float32(0.06), np.float32(1.6), np.float32(1.25), np.float32(-0.16), np.float32(1.31), np.float32(-0.32), np.float32(0.45), np.float32(0.45), np.float32(1.52), np.float32(0.51), np.float32(1.9), np.float32(-0.88), np.float32(-1.96), np.float32(-1.84), np.float32(-0.72), np.float32(0.39)))[0], vec4(np.float32(0.06), np.float32(1.31), np.float32(1.52), np.float32(-1.96))), 2) + pow(distance(transpose(mat4(np.float32(0.06), np.float32(1.6), np.float32(1.25), np.float32(-0.16), np.float32(1.31), np.float32(-0.32), np.float32(0.45), np.float32(0.45), np.float32(1.52), np.float32(0.51), np.float32(1.9), np.float32(-0.88), np.float32(-1.96), np.float32(-1.84), np.float32(-0.72), np.float32(0.39)))[1], vec4(np.float32(1.6), np.float32(-0.32), np.float32(0.51), np.float32(-1.84))), 2) + pow(distance(transpose(mat4(np.float32(0.06), np.float32(1.6), np.float32(1.25), np.float32(-0.16), np.float32(1.31), np.float32(-0.32), np.float32(0.45), np.float32(0.45), np.float32(1.52), np.float32(0.51), np.float32(1.9), np.float32(-0.88), np.float32(-1.96), np.float32(-1.84), np.float32(-0.72), np.float32(0.39)))[2], vec4(np.float32(1.25), np.float32(0.45), np.float32(1.9), np.float32(-0.72))), 2) + pow(distance(transpose(mat4(np.float32(0.06), np.float32(1.6), np.float32(1.25), np.float32(-0.16), np.float32(1.31), np.float32(-0.32), np.float32(0.45), np.float32(0.45), np.float32(1.52), np.float32(0.51), np.float32(1.9), np.float32(-0.88), np.float32(-1.96), np.float32(-1.84), np.float32(-0.72), np.float32(0.39)))[3], vec4(np.float32(-0.16), np.float32(0.45), np.float32(-0.88), np.float32(0.39))), 2) <= np.float32(2.12278e-09) ? 1 : -1] array1;
  gl_FragColor = vec4(array0.length() + array1.length());
}
